| Cantera 3.0.0

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Protected Attributes | List of all members
Interface Class Reference
Objects Representing Phases

A container class for chemically-reacting interfaces. More...

`#include <Interface.h>`

Inheritance diagram for Interface:
[legend]

## Detailed Description

A container class for chemically-reacting interfaces.

Instances of class Interface represent reacting 2D surfaces between bulk 3D phases, or 1D edges where multiple surfaces (and bulk phases) meet.

Definition at line 22 of file Interface.h.

## Public Member Functions
| Interface (const Interface &)=delete
Interface & | operator= (const Interface &)=delete
void | setThermo (shared_ptr< ThermoPhase > thermo) override
| Set the reacting phase thermo object.
void | setKinetics (shared_ptr< Kinetics > kinetics) override
| Set the Kinetics object.
shared_ptr< SurfPhase > | thermo ()
| Get the surface phase thermo object.
shared_ptr< InterfaceKinetics > | kinetics ()
| Get the surface phase Kinetics object.
Public Member Functions inherited from Solution
| Solution (const Solution &)=delete
Solution & | operator= (const Solution &)=delete
string | name () const
| Return the name of this Solution object.
void | setName (const string &name)
| Set the name of this Solution object.
virtual void | setTransport (shared_ptr< Transport > transport)
| Set the Transport object directly.
void | setTransportModel (const string &model="")
| Set the Transport object by name.
shared_ptr< ThermoPhase > | thermo ()
| Accessor for the ThermoPhase pointer.
shared_ptr< Kinetics > | kinetics ()
| Accessor for the Kinetics pointer.
shared_ptr< Transport > | transport ()
| Accessor for the Transport pointer.
void | addAdjacent (shared_ptr< Solution > adjacent)
| Add a phase adjacent to this phase.
shared_ptr< Solution > | adjacent (size_t i)
| Get the Solution object for an adjacent phase by index.
shared_ptr< Solution > | adjacent (const string &name)
| Get the Solution object for an adjacent phase by name.
size_t | nAdjacent () const
| Get the number of adjacent phases.
AnyMap | parameters (bool withInput=false) const
const AnyMap & | header () const
| Access input data associated with header definition.
AnyMap & | header ()
const string | source () const
| Retrieve source used for object creation; usually an input file name.
void | setSource (const string &source)
| Overwrite source (only required if object is not created using newSolution)
void | holdExternalHandle (const string &name, shared_ptr< ExternalHandle > handle)
| Store a handle to a wrapper for this Solution object from an external language interface (for example, a Python Solution object)
shared_ptr< ExternalHandle > | getExternalHandle (const string &name) const
| Get the handle for a wrapper for this Solution object from an external language interface.
void | registerChangedCallback (void *id, const function< void()> &callback)
| Register a function to be called if any of the Solution's thermo, kinetics, or transport objects is replaced.
void | removeChangedCallback (void *id)
| Remove the callback function associated with the specified object.

## Static Public Member Functions
static shared_ptr< Interface > | create ()
| Create an empty Interface object.
Static Public Member Functions inherited from Solution
static shared_ptr< Solution > | create ()
| Create an empty Solution object.

## Protected Attributes
shared_ptr< SurfPhase > | m_surf
| Surface phase ThermoPhase manager.
shared_ptr< InterfaceKinetics > | m_surfkin
| Kinetics manager.
Protected Attributes inherited from Solution
shared_ptr< ThermoPhase > | m_thermo
| ThermoPhase manager.
shared_ptr< Kinetics > | m_kinetics
| Kinetics manager.
shared_ptr< Transport > | m_transport
| Transport manager.
vector< shared_ptr< Solution > > | m_adjacent
| Adjacent phases, for access by index.
map< string, shared_ptr< Solution > > | m_adjacentByName
| Adjacent phases, for access by name.
AnyMap | m_header
| Additional input fields; usually from a YAML input file.
map< string, shared_ptr< ExternalHandle > > | m_externalHandles
| Wrappers for this Solution object in extension languages, for evaluation of user-defined reaction rates.
map< void *, function< void()> > | m_changeCallbacks
| Callback functions that are invoked when the therm, kinetics, or transport members of the Solution are replaced.

## Constructor & Destructor Documentation

## ◆ ~Interface()

~Interface | ( |  | ) |
| inline

Definition at line 28 of file Interface.h.

## Member Function Documentation

## ◆ create()

static shared_ptr< Interface > create | ( |  | ) |
| inline static

Create an empty Interface object.

Definition at line 33 of file Interface.h.

## ◆ setThermo()

void setThermo | ( | shared_ptr< ThermoPhase > | thermo | ) |
| override virtual

Set the reacting phase thermo object.

Reimplemented from Solution.

Definition at line 13 of file Interface.cpp.

## ◆ setKinetics()

void setKinetics | ( | shared_ptr< Kinetics > | kinetics | ) |
| override virtual

Set the Kinetics object.

Reimplemented from Solution.

Definition at line 24 of file Interface.cpp.

## ◆ thermo()

shared_ptr< SurfPhase > thermo | ( |  | ) |
| inline

Get the surface phase thermo object.

Definition at line 44 of file Interface.h.

## ◆ kinetics()

shared_ptr< InterfaceKinetics > kinetics | ( |  | ) |
| inline

Get the surface phase Kinetics object.

Definition at line 49 of file Interface.h.

## Member Data Documentation

## ◆ m_surf

shared_ptr<SurfPhase> m_surf
| protected

Surface phase ThermoPhase manager.

Definition at line 54 of file Interface.h.

## ◆ m_surfkin

shared_ptr<InterfaceKinetics> m_surfkin
| protected

Kinetics manager.

Definition at line 55 of file Interface.h.

The documentation for this class was generated from the following files:

- Interface.h
- Interface.cpp